Package com.xebialabs.xlrelease.events

# Class ReleaseAbortOperation

java.lang.Object
com.xebialabs.xlrelease.events.ReleaseAbortOperation

All Implemented Interfaces:
  `ReleaseOperation`, `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseAbortOperation extends Object implements ReleaseOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseAbortOperation(Release release)`
  `ReleaseAbortOperation(Release release, boolean isPartOfBulkOperation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReleaseAbortingAction`
  `action()`
  `static ReleaseAbortOperation`
  `apply(Release release, boolean isPartOfBulkOperation)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseAbortOperation`
  `copy(Release release, boolean isPartOfBulkOperation)`
  `Release`
  `copy$default$1()`
  `boolean`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `ReleaseAbortedEvent`
  `event()`
  `int`
  `hashCode()`
  `boolean`
  `isPartOfBulkOperation()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Release`
  `release()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Release,Object>>`
  `unapply(ReleaseAbortOperation x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseAbortOperation

    public ReleaseAbortOperation(Release release, boolean isPartOfBulkOperation)

  - ### ReleaseAbortOperation

    public ReleaseAbortOperation(Release release)

- ## Method Details

  - ### apply

    public static ReleaseAbortOperation apply(Release release, boolean isPartOfBulkOperation)

  - ### unapply

    public static scala.Option<scala.Tuple2<Release,Object>> unapply(ReleaseAbortOperation x$0)

  - ### release

    public Release release()

  - ### isPartOfBulkOperation

    public boolean isPartOfBulkOperation()

  - ### action

    public ReleaseAbortingAction action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public ReleaseAbortedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public ReleaseAbortOperation copy(Release release, boolean isPartOfBulkOperation)

  - ### copy$default$1

    public Release copy$default$1()

  - ### copy$default$2

    public boolean copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`